{% from "map.jinja" import noveria with context %}

include:
  - directories

apps_generate-motd_git:
  git.latest:
    - name: https://git.noveria.org/Tools/generate_motd.git
    - target: {{ noveria.app_dir }}/generate_motd
    - user: root
    - force_reset: True
    - require:
      - directories_apps_dir

apps_generate-motd_link:
  file.symlink:
    - name: {{ noveria.bin_dir }}/generate_motd
    - target: {{ noveria.app_dir }}/generate_motd/generate_motd
    - user: root
    - group: root
    - mode: '0755'
    - require:
      - apps_generate-motd_git
      - directories_bin_dir
      - directories_apps_dir
