{% from "map.jinja" import noveria with context %}

directories_dir:
  file.directory:
    - name: {{ noveria.dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'

directories_bin_dir:
  file.directory:
    - name: {{ noveria.bin_dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - directories_dir

directories_etc_dir:
  file.directory:
    - name: {{ noveria.etc_dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - directories_dir

directories_apps_dir:
  file.directory:
    - name: {{ noveria.app_dir }}
    - user: root
    - group: root
    - file_mode: '0644'
    - dir_mode: '0755'
    - require:
      - directories_dir
