{% from tpldir+"/map.jinja" import nginx with context %}

nginx_pkg_pkgs:
  pkg.installed:
    - pkgs:
      - nginx

nginx_pkg_config:
  file.managed:
    - name: /etc/nginx/nginx.conf
    - source: salt://{{ tpldir }}/files/nginx.conf.jinja
    - template: jinja
    - context:
        sls: {{ sls }}
        log_dir: {{ nginx.log_dir }}
        sites_enabled_dir: {{ nginx.sites_enabled_dir }}
    - require:
      - nginx_pkg_pkgs
